OpenStack Compute (Nova)

run_tests.sh stops at CloudTestCase test_ajax_console

Reported by Duncan McGreggor on 2011-10-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Low
Duncan McGreggor

Bug Description

When attempting to run the test suite, I get as far as the first test in the CloudTestCase (nova.tests.api.ec2.test_cloud.CloudTestCase.test_ajax_console), and then the tests just hang. I've attempted this twice, the second time waiting a full 10 minutes before I hit ^C; same results each time.

Not sure if there's supposed to be another component installed? Wasn't able to discover any docs on running the unit tests, though I could easily have overlooked something...

Additional info:
  Python 2.7
  nova from git (75a3fbb21eebd4de8775b63c327d9d57859d090c)
  Ubuntu 11.10 (running in a virtual box instance on a MacBook Air)

Are you running from a shared folder? I have noticed that python-lockfile just utterly fails in a shared folder for some reason. I have to update nova/tests/fake_flags.py to set the lock_path to something like /tmp for it to pass if you are running in a shared folder.

Vish

On Oct 27, 2011, at 11:41 PM, Duncan McGreggor wrote:

> Public bug reported:
>
> When attempting to run the test suite, I get as far as the first test in
> the CloudTestCase
> (nova.tests.api.ec2.test_cloud.CloudTestCase.test_ajax_console), and
> then the tests just hang. I've attempted this twice, the second time
> waiting a full 10 minutes before I hit ^C; same results each time.
>
> Not sure if there's supposed to be another component installed? Wasn't
> able to discover any docs on running the unit tests, though I could
> easily have overlooked something...
>
> Additional info:
> Python 2.7
> nova from git (75a3fbb21eebd4de8775b63c327d9d57859d090c)
> Ubuntu 11.10 (running in a virtual box instance on a MacBook Air)
>
> ** Affects: nova
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are subscribed to
> OpenStack Compute (nova).
> https://bugs.launchpad.net/bugs/882933
>
> Title:
> run_tests.sh stops at CloudTestCase test_ajax_console
>
> Status in OpenStack Compute (Nova):
> New
>
> Bug description:
> When attempting to run the test suite, I get as far as the first test
> in the CloudTestCase
> (nova.tests.api.ec2.test_cloud.CloudTestCase.test_ajax_console), and
> then the tests just hang. I've attempted this twice, the second time
> waiting a full 10 minutes before I hit ^C; same results each time.
>
> Not sure if there's supposed to be another component installed? Wasn't
> able to discover any docs on running the unit tests, though I could
> easily have overlooked something...
>
> Additional info:
> Python 2.7
> nova from git (75a3fbb21eebd4de8775b63c327d9d57859d090c)
> Ubuntu 11.10 (running in a virtual box instance on a MacBook Air)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/nova/+bug/882933/+subscriptions

Duncan McGreggor (oubiwann) wrote :

Vish, that was amazing. Sure thing: as soon as added /tmp as the
lock_file path, the tests continued.

I'd love to document this someplace in the wiki... is there a "run
openstack's unit tests" page somewhere? If not, I can create one...

On Fri, Oct 28, 2011 at 10:42 AM, Vish Ishaya <email address hidden> wrote:
> Are you running from a shared folder?  I have noticed that python-
> lockfile just utterly fails in a shared folder for some reason.  I have
> to update nova/tests/fake_flags.py to set the lock_path to something
> like /tmp for it to pass if you are running in a shared folder.
>
> Vish
>
> On Oct 27, 2011, at 11:41 PM, Duncan McGreggor wrote:
>
>> Public bug reported:
>>
>> When attempting to run the test suite, I get as far as the first test in
>> the CloudTestCase
>> (nova.tests.api.ec2.test_cloud.CloudTestCase.test_ajax_console), and
>> then the tests just hang. I've attempted this twice, the second time
>> waiting a full 10 minutes before I hit ^C; same results each time.
>>
>> Not sure if there's supposed to be another component installed? Wasn't
>> able to discover any docs on running the unit tests, though I could
>> easily have overlooked something...
>>
>> Additional info:
>>  Python 2.7
>>  nova from git (75a3fbb21eebd4de8775b63c327d9d57859d090c)
>>  Ubuntu 11.10 (running in a virtual box instance on a MacBook Air)
>>
>> ** Affects: nova
>>     Importance: Undecided
>>         Status: New
>>
>> --
>> You received this bug notification because you are subscribed to
>> OpenStack Compute (nova).
>> https://bugs.launchpad.net/bugs/882933
>>
>> Title:
>>  run_tests.sh stops at CloudTestCase test_ajax_console
>>
>> Status in OpenStack Compute (Nova):
>>  New
>>
>> Bug description:
>>  When attempting to run the test suite, I get as far as the first test
>>  in the CloudTestCase
>>  (nova.tests.api.ec2.test_cloud.CloudTestCase.test_ajax_console), and
>>  then the tests just hang. I've attempted this twice, the second time
>>  waiting a full 10 minutes before I hit ^C; same results each time.
>>
>>  Not sure if there's supposed to be another component installed? Wasn't
>>  able to discover any docs on running the unit tests, though I could
>>  easily have overlooked something...
>>
>>  Additional info:
>>    Python 2.7
>>    nova from git (75a3fbb21eebd4de8775b63c327d9d57859d090c)
>>    Ubuntu 11.10 (running in a virtual box instance on a MacBook Air)
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/nova/+bug/882933/+subscriptions
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/882933
>
> Title:
>  run_tests.sh stops at CloudTestCase test_ajax_console
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/nova/+bug/882933/+subscriptions
>

Vish Ishaya (vishvananda) wrote :
Download full text (4.2 KiB)

FYI, you will need to change --instances_path from your shared folder as well if you want to actually run nova. Alternatively, you can use nfs shares. That is what i do with my vagrant script.

Vish

On Oct 28, 2011, at 11:00 AM, Duncan McGreggor wrote:

> Vish, that was amazing. Sure thing: as soon as added /tmp as the
> lock_file path, the tests continued.
>
> I'd love to document this someplace in the wiki... is there a "run
> openstack's unit tests" page somewhere? If not, I can create one...
>
> On Fri, Oct 28, 2011 at 10:42 AM, Vish Ishaya <email address hidden> wrote:
>> Are you running from a shared folder? I have noticed that python-
>> lockfile just utterly fails in a shared folder for some reason. I have
>> to update nova/tests/fake_flags.py to set the lock_path to something
>> like /tmp for it to pass if you are running in a shared folder.
>>
>> Vish
>>
>> On Oct 27, 2011, at 11:41 PM, Duncan McGreggor wrote:
>>
>>> Public bug reported:
>>>
>>> When attempting to run the test suite, I get as far as the first test in
>>> the CloudTestCase
>>> (nova.tests.api.ec2.test_cloud.CloudTestCase.test_ajax_console), and
>>> then the tests just hang. I've attempted this twice, the second time
>>> waiting a full 10 minutes before I hit ^C; same results each time.
>>>
>>> Not sure if there's supposed to be another component installed? Wasn't
>>> able to discover any docs on running the unit tests, though I could
>>> easily have overlooked something...
>>>
>>> Additional info:
>>> Python 2.7
>>> nova from git (75a3fbb21eebd4de8775b63c327d9d57859d090c)
>>> Ubuntu 11.10 (running in a virtual box instance on a MacBook Air)
>>>
>>> ** Affects: nova
>>> Importance: Undecided
>>> Status: New
>>>
>>> --
>>> You received this bug notification because you are subscribed to
>>> OpenStack Compute (nova).
>>> https://bugs.launchpad.net/bugs/882933
>>>
>>> Title:
>>> run_tests.sh stops at CloudTestCase test_ajax_console
>>>
>>> Status in OpenStack Compute (Nova):
>>> New
>>>
>>> Bug description:
>>> When attempting to run the test suite, I get as far as the first test
>>> in the CloudTestCase
>>> (nova.tests.api.ec2.test_cloud.CloudTestCase.test_ajax_console), and
>>> then the tests just hang. I've attempted this twice, the second time
>>> waiting a full 10 minutes before I hit ^C; same results each time.
>>>
>>> Not sure if there's supposed to be another component installed? Wasn't
>>> able to discover any docs on running the unit tests, though I could
>>> easily have overlooked something...
>>>
>>> Additional info:
>>> Python 2.7
>>> nova from git (75a3fbb21eebd4de8775b63c327d9d57859d090c)
>>> Ubuntu 11.10 (running in a virtual box instance on a MacBook Air)
>>>
>>> To manage notifications about this bug go to:
>>> https://bugs.launchpad.net/nova/+bug/882933/+subscriptions
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/882933
>>
>> Title:
>> run_tests.sh stops at CloudTestCase test_ajax_console
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/nova/+bug/882933/+subscriptions
>>
>
>...

Read more...

Changed in nova:
assignee: nobody → Duncan McGreggor (oubiwann)
status: New → Incomplete
Thierry Carrez (ttx) wrote :

Should that still be kept open as a nova bug ?

Duncan McGreggor (oubiwann) wrote :

Thierry, no it should not. I meant to keep it open only long enough to get some documentation done, but that didn't happen!

I did eventually find the unit test docs:
  http://nova.openstack.org/devref/unit_tests.html

I added a link on the wiki page here (in the development table):
  http://wiki.openstack.org/InstallInstructions/Nova

Looks like the unit test docs are in the source here:
  ./doc/source/devref/unit_tests.rst

So I will add update that doc with Vishy's hint, and submit for review against this bug.

Duncan McGreggor (oubiwann) wrote :

Okay, I just submitted a branch for review that adds the info that Vishy's provided (and gives a link to this bug):
  https://review.openstack.org/#q,Idc95c12f939948bbbefd84a79b3785e3c2fd752c,n,z

Thierry Carrez (ttx) on 2011-12-05
Changed in nova:
importance: Undecided → Low
status: Incomplete → In Progress
Duncan McGreggor (oubiwann) wrote :

Reviewed: https://review.openstack.org/2043
Committed: http://github.com/openstack/nova/commit/5f72723b4137ec59b4c6b376ddf6e7cb42df26b5
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit 5f72723b4137ec59b4c6b376ddf6e7cb42df26b5
Author: Duncan McGreggor <email address hidden>
Date: Fri Dec 2 09:48:15 2011 -0800

    Add missing documentation for shared folder issue with unit tests and Python
    lock file.

    Addresses documentation need raised in bug 897155

    Change-Id: Idc95c12f939948bbbefd84a79b3785e3c2fd752c

Duncan McGreggor (oubiwann) wrote :

For whatever reason, the bug number is wrong in the git log... it should (obviously) point to bug 882933.

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2011-12-14
Changed in nova:
milestone: none → essex-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-2 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers